summaryrefslogtreecommitdiffstats
path: root/tests/f_dup_resize/script
diff options
context:
space:
mode:
Diffstat (limited to 'tests/f_dup_resize/script')
-rw-r--r--tests/f_dup_resize/script29
1 files changed, 29 insertions, 0 deletions
diff --git a/tests/f_dup_resize/script b/tests/f_dup_resize/script
new file mode 100644
index 0000000..0fd350b
--- /dev/null
+++ b/tests/f_dup_resize/script
@@ -0,0 +1,29 @@
+if ! test -x $DEBUGFS_EXE; then
+ echo "$test_name: $test_description: skipped (no debugfs)"
+ return 0
+fi
+
+SKIP_GUNZIP="true"
+TEST_DATA="$test_name.tmp"
+
+dd if=$TEST_BITS of=$TEST_DATA bs=63k count=1 conv=sync > /dev/null 2>&1
+
+touch $TMPFILE
+$MKE2FS -F -o Linux -O resize_inode $TMPFILE 10240 > /dev/null 2>&1
+$DEBUGFS -w $TMPFILE << EOF > /dev/null 2>&1
+freeb 4 4
+freeb 8195 4
+write $TEST_DATA debugfs
+set_current_time 20050411000000
+set_inode_field debugfs mtime 20050411000000
+q
+EOF
+
+E2FSCK_TIME=1113200000
+export E2FSCK_TIME
+
+. $cmd_dir/run_e2fsck
+
+rm -f $TEST_DATA
+
+unset E2FSCK_TIME TEST_DATA